INVOKE-RC.D(8)

NOM
invoke-rc.d - Exécuter des actions de scripts d'initialisation de type Système V

SYNOPSIS
invoke-rc.d [--quiet] [--force] [--try-anyway] [--disclose-deny] [--query] [--no-fallback] nom action [paramètres script init...]

invoke-rc.d [--help]

DESCRIPTION
invoke-rc.d est une interface générique pour exécuter des actions de scripts d'initialisation etc/init.d/nom de type Système V, obéissant aux contraintes des niveaux d'exécution et aux politiques locales définies par l'administrateur.

Tous les accès aux scripts d'initialisation effectués par les scripts de maintenance des paquets Debian devraient être faits avec invoke-rc.d.

Cette page de manuel ne documente que l'utilisation et le comportement de invoke-rc.d. Pour une discussion sur les possibilités des scripts d'initialisation de type Système V, veuillez consulter init(8). Des informations complémentaires sur invoke-rc.d peuvent être trouvées dans la section sur les niveaux d'exécution et sur les scripts init.d de la charte Debian (Debian Policy Manual).

ACTIONS DES SCRIPTS D'INIT
Les actions standard sont : start, stop, force-stop, restart, reload, force-reload et status. D'autres actions sont acceptées, mais causent des problèmes à policy-rc.d (consultez la section POLITIQUE DES SCRIPTS D'INIT), et des avertissement sont générés si la politique est activée.

Veuillez noter que tous les scripts d'initialisation n'implémentent pas toutes les actions listées ci-dessus, et que la politique peut remplacer une action par une autre (ou d'autres) ou encore la refuser.

Tout paramètre supplémentaire sera passé au(x) script(s) d'initialisation à exécuter.

Si une action doit être menée sans tenir compte des politiques locales, utilisez l'option --force.

OPTIONS

--help
    Afficher un message d'aide pour l'utilisation.

--quiet
    Mode silencieux, aucun message d'erreur n'est généré.

--force
    Essayer d'exécuter le script d'initialisation sans tenir compte de la politique et des erreurs du sous-système de gestion des scripts d'initialisation. L'utilisation de cette option dans les scripts de maintenance Debian est fortement déconseillée.

--try-anyway
    Essayer d'exécuter le script d'initialisation si une erreur non fatale est détectée.

--disclose-deny
    Renvoyer un code de retour de 101 au lieu du code de retour 0 si l'action du script d'initialisation est interdite par la politique.

--query
    Renvoyer un des codes de retour 100-106. N'exécute pas le script d'initialisation, et force l'utilisation de --disclose-deny et --no-fallback.

--no-fallback
    Ignore toute action de rechange demandée par la politique. Attention : c'est généralement une très mauvaise idée pour les actions autres que start.

CODES DE RETOUR
Si un script d'initialisation doit être exécuté, invoke-rc.d renvoie toujours le code de retour renvoyé par le script d'initialisation. Les scripts d'initialisation ne devraient pas renvoyer de code de retour supérieurs à 100 (réservé par Debian et par la SLB). Les codes de retour valables renvoyés par invoke-rc.d sont :

0   Succès. Soit le script d'initialisation a été exécuté et son code de retour était 0 (notez qu'une action de rechange a pu être exécutée à la place de celle fournie sur la ligne de commande) ou il n'a pas été exécuté à cause des contraintes du niveau d'exécution ou de la politique locale et parce que --disclose-deny n'est pas utilisé.

1 - 99
    Réservé pour les script init.d, indique généralement un échec.

100 Identifiant du script d'initialisation (nom) inconnu. Cela signifie que le script d'initialisation n'a pas été enregistré correctement par update-rc.d ou que le script d'initialisation n'existe pas.

101 Action non autorisée. L'action demandée ne sera pas effectuée à cause des contraintes du niveau d'exécution ou de la politique.

102 Erreur du sous-système. Le sous-système des scripts d'initialisation (ou la politique) n'a pas fonctionné correctement. De plus, l'exécution forcée des scripts d'initialisation avec --try-anyway ou --force a échoué.

103 Erreur de syntaxe.

104 Actionpermise. Le script d'initialisation aurait dû être exécuté, mais l'option --query est utilisée.

105 Comportement incertain. Impossible de déterminer si l'action aurait dû être effectuée ou non, et l'option --query est utilisée.

106 Action de rechange demandée. La politique interdit l'action demandée et fournit une action de rechange autorisée à utiliser à la place.

POLITIQUE DES SCRIPTS D'INIT
invoke-rc.d introduit le concept d'une politique utilisée pour vérifier si un script d'initialisation doit être exécuté ou non ou si une autre action doit être menée à la place. Cette politique a plusieurs utilisations, la plus immédiate étant d'éviter que des mises à jour de paquets ne démarrent des démons en dehors des niveaux d'exécution et qu'un paquet démarre ou arrête des démons dans des « prisons » chroot.

La politique fournit les possibilités suivantes : interdire ou autoriser l'exécution d'une action ; demander qu'une action (de rechange) soit effectuée, à la place de l'action demandée sur la ligne de commande ; ou demander à ce que plusieurs actions soient essayées dans un certain ordre jusqu'à ce qu'une d'entre elles réussisse (plusieurs actions de rechange).

invoke-rc.d lui-même ne tient compte que du niveau d'exécution ; il interdit toute tentative de démarrage d'un service dans un niveau d'exécution où il serait désactivé. Les autres politiques sont implémentées en utilisant le programme d'aide policy-rc.d et sont disponibles si /usr/sbin/policy-rc.d est installé sur le système.

FICHIERS

/etc/init.d/*
    Script d'initialisation Système V.

/usr/sbin/policy-rc.d
    Couche d'aide pour les politiques de scripts d'initialisation (facultatif).

/etc/runlevel.conf
    Configuration des niveaux d'exécution de file-rc (si le paquet file-rc est utilisé).

/etc/rc?.d/*
    Configuration des niveaux d'exécution Système V (si le paquet sysv-rc est utilisé).

NOTES
invoke-rc.d traite de façon particulière l'action status et renvoie un code de retour de 4 au lieu de 0 lorsque cette action est refusée.

BOGUES
Veuillez signaler tout bogue en utilisant le système de suivi des bogue de Debian, disponible sur http://bugs.debian.org/, pour les paquets sysv-rc ou file-rc (en fonction de la version de invoke-rc.d que vous utilisez).

VOIR AUSSI
la Charte Debian,
/etc/init.d/skeleton,
update-rc.d(8),
init(8),
/usr/share/doc/sysv-rc/README.policy-rc.d.gz

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.